import { Component } from '@angular/core';
import { addIcons } from 'ionicons';
import { 
  menuOutline,
  caretUp,
  add,
  medical,
  searchOutline,
  filterOutline,
  heartOutline,
  heart,
  chatbubbleOutline,
  shareSocialOutline,
  peopleOutline,
  chatbubblesOutline,
  fitnessOutline,
  pulseOutline,
  alarmOutline,
  restaurantOutline,
  bicycleOutline,
  personCircleOutline,
  linkOutline,
  lockClosedOutline,
  shieldCheckmarkOutline,
  notificationsOutline,
  languageOutline,
  trashOutline,
  informationCircleOutline,
  mailUnreadOutline,
  helpCircleOutline,
  personAddOutline,
  createOutline,
  checkmarkCircle,
  ellipse,
  square,
  caretDown,
  homeOutline
} from 'ionicons/icons';
@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.scss'],
  standalone: false,
})
export class AppComponent {
  constructor() {
    addIcons({
      'home-outline': homeOutline,
     'menu-outline': menuOutline,
      'caret-down': caretDown, 
     'square': square,
      'caret-up': caretUp,
      'add': add,
      'medical': medical,
      'search-outline': searchOutline,
      'filter-outline': filterOutline,
      'heart-outline': heartOutline,
      'heart': heart,
      'chatbubble-outline': chatbubbleOutline,
      'share-social-outline': shareSocialOutline,
      'people-outline': peopleOutline,
      'chatbubbles-outline': chatbubblesOutline,
      'fitness-outline': fitnessOutline,
      'pulse-outline': pulseOutline,
      'alarm-outline': alarmOutline,
      'restaurant-outline': restaurantOutline,
      'bicycle-outline': bicycleOutline,
      'person-circle-outline': personCircleOutline,
      'link-outline': linkOutline,
      'lock-closed-outline': lockClosedOutline,
      'shield-checkmark-outline': shieldCheckmarkOutline,
      'notifications-outline': notificationsOutline,
      'language-outline': languageOutline,
      'trash-outline': trashOutline,
      'information-circle-outline': informationCircleOutline,
      'mail-unread-outline': mailUnreadOutline,
      'help-circle-outline': helpCircleOutline,
      'person-add-outline': personAddOutline,
      'create-outline': createOutline,
      'checkmark-circle': checkmarkCircle,
      'ellipse': ellipse
    })
  }
}
